Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2249665 - CVE-2023-22084 mariadb: mysql: InnoDB unspecified vulnerability (CPU Oct 2023) [fedora-all]
Summary: CVE-2023-22084 mariadb: mysql: InnoDB unspecified vulnerability (CPU Oct 2023...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-22084
TreeView+ depends on / blocked
 
Reported: 2023-11-14 17:26 UTC by Mauro Matteo Cascella
Modified: 2023-11-26 03:07 UTC (History)
7 users (show)

Fixed In Version: mariadb-10.5.23-1.fc39 mariadb-10.5.23-1.fc38 mariadb-10.5.23-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-26 01:55:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2023-11-14 17:26:39 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2245023

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Mauro Matteo Cascella 2023-11-14 17:26:42 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2245023,2249665

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Mauro Matteo Cascella 2023-11-14 17:28:51 UTC
Fixed upstream in version 10.5.23.

Comment 3 Fedora Update System 2023-11-17 05:45:27 UTC
FEDORA-2023-bff42b29eb has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bff42b29eb

Comment 4 Fedora Update System 2023-11-17 05:45:28 UTC
FEDORA-2023-7fe02ec473 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-7fe02ec473

Comment 5 Fedora Update System 2023-11-18 02:41:12 UTC
FEDORA-2023-2eca0baace has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2eca0baace`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2eca0baace

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-18 02:47:38 UTC
FEDORA-2023-7fe02ec473 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-7fe02ec473`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-7fe02ec473

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-11-18 02:57:06 UTC
FEDORA-2023-bff42b29eb has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bff42b29eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bff42b29eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-26 01:55:01 UTC
FEDORA-2023-2eca0baace has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-11-26 03:04:54 UTC
FEDORA-2023-7fe02ec473 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-11-26 03:07:55 UTC
FEDORA-2023-bff42b29eb has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.